package com.usoft.fin.grpc.bl.entity.b2b;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * 订单明细
 * @author wangmh
 * @date 2018-08-29 11:36
 **/
public class OrderItem {

    /**
     * acceptItems : [{"acceptAmount":16,"acceptCode":"YS18060002","acceptDate":1527850820000,"acceptQty":100,"detno":1,"id":17687,"isCheck":"已收货"}]
     * detno : 1
     * id : 37120780
     * productCmpcode : 常规
     * productCode : UAS201805302
     * productId : 23849233
     * productSpec : 常规
     * productTitle : 笔芯
     * qty : 100
     */

    /**
     * 订单序号
     */
    private int detno;

    /**
     * 订单明细id
     */
    private int id;

    /**
     * 物料原厂型号
     */
    private String productCmpcode;

    /**
     * 物料编号
     */
    private String productCode;

    /**
     * 物料id
     */
    private int productId;

    /**
     * 物料规格
     */
    private String productSpec;

    /**
     * 物料名称
     */
    private String productTitle;

    /**
     * 订单数量
     */
    private int qty;

    /**
     * 验收单明细
     */
    private List<AcceptItem> acceptItems;

    /**
     * 订单信息
     */
    private Order order;

    public int getDetno() {
        return detno;
    }

    public void setDetno(int detno) {
        this.detno = detno;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @JSONField(name = "cmpCode")
    public String getProductCmpcode() {
        return productCmpcode;
    }

    public void setProductCmpcode(String productCmpcode) {
        this.productCmpcode = productCmpcode;
    }

    @JSONField(name = "code")
    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public int getProductId() {
        return productId;
    }

    public void setProductId(int productId) {
        this.productId = productId;
    }

    @JSONField(name = "specifications")
    public String getProductSpec() {
        return productSpec;
    }

    public void setProductSpec(String productSpec) {
        this.productSpec = productSpec;
    }

    @JSONField(name = "name")
    public String getProductTitle() {
        return productTitle;
    }

    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    @JSONField(name = "accptInfo")
    public List<AcceptItem> getAcceptItems() {
        return acceptItems;
    }

    public void setAcceptItems(List<AcceptItem> acceptItems) {
        this.acceptItems = acceptItems;
    }

    public Order getOrder() {
        return order;
    }

    public void setOrder(Order order) {
        this.order = order;
    }
}
